SDL_bkeyboard.h File Reference
`#include <SupportDefs.h>`
`#include "../../../include/SDL_keyboard.h"`
Include dependency graph for SDL_bkeyboard.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | HAIKU_InitOSKeymap (void)
SDL_Scancode | HAIKU_GetScancodeFromBeKey (int32 bkey)
int8 | HAIKU_GetKeyState (int32 bkey)
void | HAIKU_SetKeyState (int32 bkey, int8 state)

## Function Documentation

## HAIKU_GetKeyState()

int8 HAIKU_GetKeyState | ( | int32 | bkey | ) |

Referenced by SDL_BApp::_HandleKey().

## HAIKU_GetScancodeFromBeKey()

SDL_Scancode HAIKU_GetScancodeFromBeKey | ( | int32 | bkey | ) |

Referenced by SDL_BApp::_HandleKey().

## HAIKU_InitOSKeymap()

void HAIKU_InitOSKeymap | ( | void |  | ) |

## HAIKU_SetKeyState()

void HAIKU_SetKeyState | ( | int32 | bkey,
|  | int8 | state
| ) |  |

Referenced by SDL_BApp::_HandleKey().